MS05-021: Vulnerability in SMTP Could Allow Remote Code Execution (894549)

Critical Nessus Plugin ID 18024


Arbitrary code can be executed on the remote host through the SMTP server.


The remote host contains a flaw in its SMTP service that could allow remote code execution.

Vulnerable services are Exchange 2003 (Windows 2000) and Exchange 2000.

A public code is available to exploit this vulnerability.


Microsoft has released a set of patches for Exchange 2000 and 2003.

See Also

Plugin Details

Severity: Critical

ID: 18024

File Name: smb_nt_ms05-021.nasl

Version: $Revision: 1.38 $

Type: local

Agent: windows

Published: 2005/04/12

Modified: 2017/08/09

Dependencies: 13855, 57033

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:exchange_server

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2005/04/12

Vulnerability Publication Date: 2005/04/12

Exploitable With


Reference Information

CVE: CVE-2005-0560

BID: 13118

OSVDB: 15467

MSFT: MS05-021

CERT: 275193

EDB-ID: 947

MSKB: 894549